Package org.eclipse.graphiti.ui.internal.parts.directedit

# Class TextCellLocator

java.lang.Object
org.eclipse.graphiti.ui.internal.parts.directedit.TextCellLocator

All Implemented Interfaces:
  `org.eclipse.gef.tools.CellEditorLocator`

public class TextCellLocator extends Object implements org.eclipse.gef.tools.CellEditorLocator
implementation of a locator for direct edit CellEditors

## Constructor Summary

Constructors
Constructor
Description
`TextCellLocator(org.eclipse.draw2d.IFigure figure, IDirectEditingFeature directEditingFeature)`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.draw2d.IFigure`
`getFigure()`
`void`
`relocate(org.eclipse.jface.viewers.CellEditor celleditor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextCellLocator

public TextCellLocator(org.eclipse.draw2d.IFigure figure, IDirectEditingFeature directEditingFeature)

## Method Details

### relocate

public void relocate(org.eclipse.jface.viewers.CellEditor celleditor)

Specified by:
  `relocate` in interface `org.eclipse.gef.tools.CellEditorLocator`

### getFigure

public org.eclipse.draw2d.IFigure getFigure()